<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Akka" Version="1.4.43" />
    <PackageReference Include="Akka.Cluster.Hosting" Version="0.5.0" />
    <PackageReference Include="Akka.Cluster.Sharding" Version="1.4.43" />
    <PackageReference Include="Akka.Hosting" Version="0.5.0" />
    <PackageReference Include="Akka.Persistence" Version="1.4.43" />
    <PackageReference Include="Akka.Persistence.SqlServer.Hosting" Version="0.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Akka.State\Akka.State.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
